# studio::ChildrenTree Class Reference

`#include <childrentree.h>`

List of all members.

## Public Types

typedef studio::ColumnID | ColumnID

## Public Member Functions

Gtk::HBox & | get_hbox ()
Gtk::TreeView & | get_tree_view ()
Glib::RefPtr< Gtk::TreeSelection > | get_selection ()
Glib::SignalProxy1< bool, GdkEvent * > | signal_event ()
| ChildrenTree ()
| ~ChildrenTree ()
void | set_model (Glib::RefPtr< ChildrenTreeStore > children_tree_store_)
void | set_time_adjustment (Gtk::Adjustment &adjustment)
void | set_show_timetrack (bool x=true)
sigc::signal< void, synfigapp::ValueDesc, synfig::ValueBase > & | signal_edited_value ()
| Signal called with a value has been edited.
sigc::signal< bool, int, Gtk::TreeRow, ColumnID > & | signal_user_click ()
sigc::signal< void, synfigapp::ValueDesc, std::set < synfig::Waypoint, std::less < synfig::UniqueID > >, int > & | signal_waypoint_clicked_childrentree ()
etl::handle < synfigapp::SelectionManager > | get_selection_manager ()

## Public Attributes

ChildrenTreeStore::Model | model

## Member Typedef Documentation

typedef studio::ColumnID studio::ChildrenTree::ColumnID

## Constructor & Destructor Documentation

ChildrenTree::ChildrenTree | ( |  | ) |

References _, studio::CanvasTreeStore::add_cell_renderer_value(), studio::CanvasTreeStore::add_cell_renderer_value_node(), studio::CanvasTreeStore::Model::canvas, get_selection(), studio::CanvasTreeStore::Model::icon, studio::CanvasTreeStore::Model::label, model, studio::CellRenderer_TimeTrack::property_canvas(), studio::CellRenderer_ValueBase::property_value(), studio::CellRenderer_TimeTrack::property_value_desc(), studio::CellRenderer_ValueBase::signal_edited(), studio::CellRenderer_TimeTrack::signal_waypoint_clicked_cellrenderer(), studio::CanvasTreeStore::Model::type, and studio::CanvasTreeStore::Model::value_desc.

ChildrenTree::~ChildrenTree | ( |  | ) |

## Member Function Documentation

Gtk::HBox& studio::ChildrenTree::get_hbox | ( |  | ) | `[inline]`

Gtk::TreeView& studio::ChildrenTree::get_tree_view | ( |  | ) | `[inline]`

Glib::RefPtr<Gtk::TreeSelection> studio::ChildrenTree::get_selection | ( |  | ) | `[inline]`

Referenced by ChildrenTree(), and studio::CanvasView::set_ext_widget().

Glib::SignalProxy1< bool,GdkEvent* > studio::ChildrenTree::signal_event | ( |  | ) | `[inline]`

void ChildrenTree::set_model | ( | Glib::RefPtr< ChildrenTreeStore > | children_tree_store_ | ) |

References studio::CellRenderer_TimeTrack::set_canvas_interface().

void ChildrenTree::set_time_adjustment | ( | Gtk::Adjustment & | adjustment | ) |

References studio::CellRenderer_TimeTrack::set_adjustment().

void ChildrenTree::set_show_timetrack | ( | bool | x = `true` | ) |

Referenced by studio::CanvasView::hide_timebar(), and studio::CanvasView::show_timebar().

sigc::signal<void,synfigapp::ValueDesc,synfig::ValueBase>& studio::ChildrenTree::signal_edited_value | ( |  | ) | `[inline]`

Signal called with a value has been edited.

sigc::signal<bool,int, Gtk::TreeRow, ColumnID>& studio::ChildrenTree::signal_user_click | ( |  | ) | `[inline]`

Referenced by studio::CanvasView::set_ext_widget().

sigc::signal<void,synfigapp::ValueDesc,std::set<synfig::Waypoint,std::less<synfig::UniqueID> >,int>& studio::ChildrenTree::signal_waypoint_clicked_childrentree | ( |  | ) | `[inline]`

Referenced by studio::CanvasView::set_ext_widget().

etl::handle<synfigapp::SelectionManager> studio::ChildrenTree::get_selection_manager | ( |  | ) | `[inline]`

## Member Data Documentation

ChildrenTreeStore::Model studio::ChildrenTree::model

Referenced by ChildrenTree().

The documentation for this class was generated from the following files:

- childrentree.h
- childrentree.cpp